(defun vector(r th phi) 
    (let*(
	  (th (- 360 th))
	  (phi (- 90 phi))
	  (th (* (/ 2pi 360) th))
	  (phi (* (/ 2pi 360) phi))
	  )
      (list 
       (* r (sin phi) (cos th))
       (* r (sin phi) (sin th))
       (* r (cos phi)))
      ))

(def angle
     (acos 
      (/ 
       (dot 
	(vector 3960 118.25 34.06) 
	(vector 3960 73.60 45.5)
	)
       (* 
	(norm (vector 3960 118.25 34.06))
	(norm (vector 3960 73.60 45.5))
	)
       )
      )
     )

(setq distance (* angle 3960))
